ContextEnvironment (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ContextEnvironment

# Class ContextEnvironment

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextEnvironment

All Implemented Interfaces:
  `Serializable, Injectable`

public class ContextEnvironment extends ResourceBase
Representation of an application environment entry, as represented in an `<env-entry>` element in the deployment descriptor.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextEnvironment()`
  Default constructor for ContextEnvironment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `boolean`
  `getOverride()`
  Returns whether this environment entry allows overrides by the application deployment descriptor.
  `String`
  `getValue()`
  Returns the value of this environment entry.
  `int`
  `hashCode()`
  `void`
  `setOverride(boolean override)`
  Sets whether this environment entry allows overrides by the application deployment descriptor.
  `void`
  `setValue(String value)`
  Sets the value of this environment entry.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextEnvironment

    public ContextEnvironment()
    Default constructor for ContextEnvironment.

- ## Method Details

  - ### getOverride

    public boolean getOverride()
    Returns whether this environment entry allows overrides by the application deployment descriptor.
    Returns:
      true if overrides are allowed

  - ### setOverride

    public void setOverride(boolean override)
    Sets whether this environment entry allows overrides by the application deployment descriptor.
    Parameters:
      `override` - true if overrides are allowed

  - ### getValue

    public String getValue()
    Returns the value of this environment entry.
    Returns:
      the environment entry value

  - ### setValue

    public void setValue(String value)
    Sets the value of this environment entry.
    Parameters:
      `value` - the environment entry value

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`